import React from 'react';
import i18n from 'ui-i18n';
import classnames from 'classnames';
import Avatar from '@mui/material/Avatar';
import Person from '@mui/icons-material/Person';
import styles from './Comment.module.css';
export var Comment = function (_a) {
    var author = _a.author, message = _a.message, time = _a.time, _b = _a.classes, classes = _b === void 0 ? {} : _b;
    return (React.createElement("div", { className: styles.comment },
        React.createElement(Avatar, { className: styles.avatar },
            React.createElement(Person, { className: styles.icon })),
        React.createElement("div", { className: classnames(styles.info, classes.messageContainer) },
            React.createElement("div", { className: styles.firstLine },
                React.createElement("div", { className: styles.author }, author),
                React.createElement("span", { className: styles.date }, i18n.date(time, 'L LT'))),
            React.createElement("div", { className: styles.text }, message))));
};
